// 注册全局组件（vue文件）
import Vue from 'vue'
// vex-table
import 'xe-utils'
import VXETable from 'vxe-table'
import 'vxe-table/lib/index.css'
import btnList from '../components/base/btnList'
import iconList from '../components/base/iconList'
import elementTable from '../components/table/elementTable'
import modalFooter from '../components/base/modalFooter'
import PTVXETable from '../components/table/PTVXETable'
import PTVXETableHeight from '../components/table/PTVXETableHeight'
import PTVXETableTemp from '../components/table/PTVXETableTemp'
import PTVXETableData from '../components/base/PTVXETableData'
import VXEIconList from '../components/base/VXEIconList'
import FileManage from '../components/file/file-manage/FileManage'
import VXESettingCol from '../components/base/VXESettingCol'
import ElTableNoPage from '../components/table/ElTableNoPage'
import PhotoManage from '../components/file/photo-manage/PhotoManage'
import elementTableHeight from '../components/table/elementTableHeight'
import BatchPhotoManage from '../components/import/BatchUploadFile'

Vue.use(VXETable)
Vue.component('btn-list', btnList)
Vue.component('icon-list', iconList)
Vue.component('element-table', elementTable)
Vue.component('element-table-height', elementTableHeight)
Vue.component('modal-footer', modalFooter)
Vue.component('PTVXETable', PTVXETable)
Vue.component('PTVXETableHeight', PTVXETableHeight)
Vue.component('PTVXETableTemp', PTVXETableTemp)
Vue.component('PTVXETableData', PTVXETableData)
Vue.component('VXEIconList', VXEIconList)
Vue.component('VXESettingCol', VXESettingCol)
Vue.component('FileManage', FileManage)
Vue.component('PhotoManage', PhotoManage)
Vue.component('BatchPhotoManage', BatchPhotoManage)
Vue.component('ElTableNoPage', ElTableNoPage)
